UCOM(4)

NAME
ucom - USB tty support

SYNOPSIS
ucom* at ubsa?
ucom* at uchcom?
ucom* at uftdi?
ucom* at ugensa?
ucom* at uhmodem?
ucom* at uipaq?
ucom* at ukyopon?
ucom* at umct?
ucom* at umodem?
ucom* at uplcom?
ucom* at uslsa?
ucom* at uvisor? portno ?
ucom* at uvscom?

DESCRIPTION
The ucom driver attaches to USB modems, serial ports, and other devices that need to look like a tty. The ucom driver shows a behaviour like a tty(4). This means that normal programs such as tip(1) or pppd(8) can be used to access the device.

The portno locator can be used to decide which port to use for device that have multiple external ports.

FILES

/dev/dtyU?

/dev/ttyU?

SEE ALSO
tty(4), ubsa(4), uchcom(4), uftdi(4), ugensa(4), uhmodem(4), uipaq(4), ukyopon(4), umct(4), umodem(4), uplcom(4), usb(4), uslsa(4), uvisor(4), uvscom(4)

HISTORY
The ucom driver appeared in NetBSD 1.5.